package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "META_COLLECTION_ITEM_MAPPING", schema = "public")
public class MetaCollectionItemMapping {
  @Id
  private Short id;

  @ManyToOne
  @JoinColumn(name = "META_CRAWLER_MAPPING_ID", nullable = false)
  private MetaCrawlerMapping metaCrawlerMapping;

  @ManyToOne
  @JoinColumn(name = "META_COLLECTION_ITEM_ID", nullable = false)
  private MetaCollectionItem metaCollectionItem;

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  private Date createDate;

  public Short getId() {
    return id;
  }

  public void setId(Short id) {
    this.id = id;
  }

  public MetaCrawlerMapping getMetaCrawlerMapping() {
    return metaCrawlerMapping;
  }

  public void setMetaCrawlerMapping(MetaCrawlerMapping metaCrawlerMapping) {
    this.metaCrawlerMapping = metaCrawlerMapping;
  }

  public MetaCollectionItem getMetaCollectionItem() {
    return metaCollectionItem;
  }

  public void setMetaCollectionItem(MetaCollectionItem metaCollectionItem) {
    this.metaCollectionItem = metaCollectionItem;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
